package com.fjhx.enums;

import lombok.Getter;

import java.util.HashMap;

@Getter
public enum HandleResultEnum {
    IN_PROGRESS(1, "进行中"),
    SUCCESS(2, "通过"),
    FAIL(3, "不通过");

    private final Integer type;
    private final String name;

    private static final HashMap<Integer, ButtonNameEnum> map = new HashMap<>();

    HandleResultEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }

    static {
        for (ButtonNameEnum value : ButtonNameEnum.values()) {
            map.put(value.getType(), value);
        }
    }

    /**
     * 根据type获取枚举
     */
    public static ButtonNameEnum get(Integer type) {
        return map.get(type);
    }

    /**
     * 根据type值获取枚举
     */
    public static String getName(Integer type) {
        return map.get(type).getName();
    }
}
