package com.fjhx.service.contract;

import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.contract.ContractDetails;
import com.fjhx.entity.water.WaterTag;

import java.util.List;

/**
 * <p>
 * 采购合同明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-19
 */
public interface ContractDetailsService extends StorageBaseService<ContractDetails> {

    /**
     * 更新合同明细出货数量
     *
     * @param waterBatchId 合同批次id
     */
    void updateShipmentQuantity(Long waterBatchId);

    /**
     * 更新合同到货数量和在途数量
     *
     * @param waterTagList 入库标签列表
     */
    void updateAfloatAndArrivalQuantity(List<WaterTag> waterTagList);

    /**
     * 更新合同明细退货数量
     *
     * @param waterTagList 标签列表
     */
    void updateBackQuantity(List<WaterTag> waterTagList);

}
