package com.fjhx.service.quality.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.quality.QualityTestingDetails;
import com.fjhx.mapper.quality.QualityTestingDetailsMapper;
import com.fjhx.params.quality.QualityTestingDetailsVo;
import com.fjhx.service.quality.QualityTestingDetailsService;
import com.fjhx.service.quality.QualityTestingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 质检明细 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
@Service
public class QualityTestingDetailsServiceImpl extends ServiceImpl<QualityTestingDetailsMapper, QualityTestingDetails> implements QualityTestingDetailsService {

    @Autowired
    private QualityTestingService qualityTestingService;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void add(QualityTestingDetailsVo qualityTestingDetailsVo) {
        save(qualityTestingDetailsVo);
        // 更新主表质检数量
        qualityTestingService.edit(1, qualityTestingDetailsVo.getQualityTestingId());
    }

    @Override
    public void edit(QualityTestingDetailsVo qualityTestingDetailsVo) {
        updateById(qualityTestingDetailsVo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void delete(QualityTestingDetailsVo qualityTestingDetailsVo) {
        removeById(qualityTestingDetailsVo.getId());
        // 更新主表质检数量
        qualityTestingService.edit(-1, qualityTestingDetailsVo.getQualityTestingId());
    }

}
