package com.fjhx.service.water.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.water.WaterDetail;
import com.fjhx.entity.water.WaterTag;
import com.fjhx.mapper.water.WaterDetailMapper;
import com.fjhx.params.water.WaterVo;
import com.fjhx.service.water.WaterDetailService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 流水明细表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-16
 */
@Service
public class WaterDetailServiceImpl extends ServiceImpl<WaterDetailMapper, WaterDetail> implements WaterDetailService {

    @Override
    public void add(WaterVo waterVo, List<WaterTag> waterTagList) {

        // 添加标签明细
        List<WaterDetail> waterDetailList = new ArrayList<>();
        for (WaterTag waterTag : waterTagList) {
            WaterDetail waterDetail = new WaterDetail();
            waterDetail.setWaterId(waterVo.getId());
            waterDetail.setWaterBatchId(waterTag.getWaterBatchId());
            waterDetail.setWaterTagId(waterTag.getId());
            waterDetail.setOperUserId(waterVo.getOperUserId());
            waterDetail.setMaterialId(waterTag.getMaterialId());
            waterDetail.setQuantity(waterTag.getQuantity());
            waterDetail.setQrCode(waterTag.getQrCode());
            waterDetail.setRfidCode(waterTag.getRfidCode());
            waterDetail.setPrice(waterTag.getPrice());
            waterDetail.setType(waterVo.getType());
            waterDetail.setDevice(waterVo.getDevice());
            waterDetailList.add(waterDetail);
        }

        saveBatch(waterDetailList);
    }

}
