package com.fjhx.material.service.impl;

import com.alibaba.cloud.commons.lang.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.material.Material;
import com.fjhx.material.mapper.MaterialSMapper;
import com.fjhx.material.service.MaterialService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物料 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-20
 */
@Service
public class MaterialServiceImpl extends ServiceImpl<MaterialSMapper, Material> implements MaterialService {

    /**
     * 下拉列表
     *
     * @param condition
     * @return
     */
    @Override
    public List<Material> selectList(Map<String, Object> condition) {
        List<Material> list = baseMapper.selectMaList(condition);
        return list;
    }

    /**
     * 下拉用途
     *
     * @return
     */
    @Override
    public List<Material> selectPurpose(String purpose) {
        QueryWrapper<Material> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("Purpose").groupBy("Purpose");
        if (StringUtils.isNotEmpty(purpose)) {
            queryWrapper.like("Purpose", purpose);
        }
        return this.list(queryWrapper);
    }
}
